︠e13439b8-139c-489d-94b8-d8071cedeba7︠
# Energy density per unit solid angle
from sage import *
h_=6.626068E-34
c=3*10E8
k=1.3806503E-23
I6000 = lambda l: 2*h_*c**2*l**-5 / (exp(h_*c/(l*k*6000)) - 1)
I5000 = lambda l: 2*h_*c**2*l**-5 / (exp(h_*c/(l*k*5500)) - 1)
I3500 = lambda l: 2*h_*c**2*l**-5 / (exp(h_*c/(l*k*3500)) - 1)
plot([I6000, I5000, I3500], (1E-9, 20000E-9))
︡6f7fb339-98e1-4aa2-905e-29647ea1793e︡{"html": "<font color='black'><img src='cell://sage0.png'></font>"}︡
︠d216106c-ee4f-4e2c-b167-02a57e60b6fa︠
#Energy density per unit volume
I6000 = lambda l: 8*pi*h_*l**-3 / (exp(h_*c/(l*k*6000)) - 1)
I5000 = lambda l: 8*pi*h_*l**-3 / (exp(h_*c/(l*k*5000)) - 1)
I3500 = lambda l: 8*pi*h_*l**-3 / (exp(h_*c/(l*k*3500)) - 1)
plot([I6000,I5000,I3500], (1E-9, 20000E-9))
︡18ac31d9-ac12-4be0-820f-99621034278d︡{"html": "<font color='black'><img src='cell://sage0.png'></font>"}︡
